angular.module('appLocalStorage', [])

.factory('FeedStorage', function() {
  return {
    get: function() {
      var feeds = window.localStorage['feeds'];
      if(feeds) {
        return angular.fromJson(feeds);
      }
      return {};
    },
    save: function(feeds) {
      window.localStorage['feeds'] = angular.toJson(feeds);
    },
    clear: function() {
      window.localStorage.removeItem('feeds');
    }
  }
})


//// data3 Maha Job
.factory('Feed3Storage', function() {
  return {
    get: function() {
      var feeds = window.localStorage['feeds3'];
      if(feeds) {
        return angular.fromJson(feeds);
      }
      return {};
    },
    save: function(feeds) {
      window.localStorage['feeds3'] = angular.toJson(feeds);
    },
    clear: function() {
      window.localStorage.removeItem('feeds3');
    }
  }
})

//// data4 Maha Scheme
.factory('Feed4Storage', function() {
  return {
    get: function() {
      var feeds = window.localStorage['feeds4'];
      if(feeds) {
        return angular.fromJson(feeds);
      }
      return {};
    },
    save: function(feeds) {
      window.localStorage['feeds4'] = angular.toJson(feeds);
    },
    clear: function() {
      window.localStorage.removeItem('feeds4');
    }
  }
})