var sensationApp = angular.module('sensationApp');

// Home Data: Home page configuration
sensationApp.factory('Data', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Login',
            icon: '',
			image: 'img/icon/mahaeseva-icon.png',
            page: 'option/loginpage.html'
			
        },
        { 
            title: 'Maha News',
            icon: '',
			image: 'img/icon/maha-logomh-icon.png',
            page: 'maha-feeds.html'
        },
        { 
            title: 'Maha Jobs',
            icon: '',
			image: 'img/icon/maha-job-icon2.png',
            page: 'maha-jobs-feeds.html'
        },
		{ 
            title: 'Maha Schemes',
            icon: '',
			image: 'img/icon/scheme-icon.png',
            page: 'maha-schemes-feeds.html'
        },
		
		{ 
            title: 'Retion Card',
            icon: '',
			image: 'img/icon/retioncard-icon.png',
            page: 'option/retioncard.html'
        },
        { 
            title: 'Establishment',
            icon: '',
			image: 'img/icon/home-icon.png',
            page: 'option/establishment.html'
        },
        { 
            title: 'Caste Crtfct',
            icon: '',
			image: 'img/icon/crtfc-icon.png',
            page: 'option/caste.html'
        },
        { 
            title: 'Individual',
            icon: '',
			image: 'img/icon/crtfc-icon.png', 
            page: 'option/indi-crtfct.html'
        },
		{ 
            title: 'eGazette',
            icon: '',
			image: 'img/icon/egazette-icon.png', 
            page: 'option/egazette.html'
        },
        { 
            title: 'Agriculture',
            icon: '',
			image: 'img/icon/kisan-icon.png',
            page: 'option/agre.html'
        },
        { 
            title: 'Certified',
            icon: '',
			image: 'img/icon/certified-icon.png',
            page: 'option/crtify.html'
        },
		{ 
            title: 'Aadhaar',
            icon: '',
			image: 'img/icon/aadhar-icon.png',
            page: 'option/aadhar.html'
        },
		{ 
            title: 'Voter List',
            icon: '',
			image: 'img/icon/voter-list-icon.png',
            page: 'option/voter.html'
        },
		{ 
            title: 'PAN CARD',
            icon: '',
			image: 'img/icon/pan-icon.png',
            page: 'option/pancard.html'
        },
		{ 
            title: 'E-Locker',
            icon: '',
			image: 'img/icon/maha-locker.png',
            page: 'option/elocker.html'
        },
		{ 
            title: 'Passport',
            icon: '',
			image: 'img/icon/passport-icon.png',
            page: 'option/passport.html'
        },
        { 
            title: 'Admission',
            icon: '',
			image: 'img/icon/admission-icon.png',
            page: 'option/admission.html'
        },
        { 
            title: 'University',
            icon: '',
			image: 'img/icon/univercity-icon.png',
            page: 'option/university.html'
        },
		{ 
            title: 'Share',
            icon: '',
			image: 'img/icon/shere-icon.png',
            page: 'option/share-apps.html'
        },
		{ 
            title: '',
            icon: '',
			image: '',
            page: ''
        },

    ]; 
    
    return data;
});


// Homepage menu Data: Menu configuration
sensationApp.factory('Menuhome2Data', function(){
    var data = {};
    
    data.items = [

        { 
            title: 'Update App',
            icon: 'download',
            url: 'https://play.google.com/store/apps/details?id=in.rastra.mahaeseva&hl=en'
        },
        { 
            title: 'Rate this app',
			icon: 'globe',
            url: 'https://play.google.com/store/apps/details?id=in.rastra.mahaeseva&hl=en'
        },


    ]; 
    
    return data;
});


// Menu Data: Menu configuration
sensationApp.factory('MenuData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Home',
            icon: 'home',
            page: 'home.html'
        },
        { 
            title: 'Maha-alert',
            icon: 'tasks',
            page: 'maha-feeds.html'
        },
        { 
            title: 'Share App',
            icon: 'share-alt',
            page: 'option/share-apps.html'
        },

    ]; 
    
    return data;
});


	// Login page Importent link configuration

sensationApp.factory('LoginData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Login',
            icon: 'globe',
            url: 'https://www.mahaonline.gov.in/Account/login/Login.aspx'
        },
        { 
            title: 'Create New Account',
            icon: 'globe',
            url: 'https://www.mahaonline.gov.in/Account/login/Login.aspx'
        }
    ]; 
    
    return data;
});

// Login End Importent link configuration

	// Caste page Importent link configuration

sensationApp.factory('casteData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'SBC Certificate',
            icon: 'globe',
            page: 'option/cast-dtl1.html'
        },
        { 
            title: 'OBC Certificate',
            icon: 'globe',
            page: 'option/cast-dtl2.html'
        },
		{ 
            title: 'Caste Certificate for Migrants',
            icon: 'globe',
            page: 'option/cast-dtl3.html'
        },
		{ 
            title: 'SC Certificate/Migrant',
            icon: 'globe',
            page: 'option/cast-dtl4.html'
        },
		{ 
            title: 'VJ/NT Certificate',
            icon: 'globe',
            page: 'option/cast-dtl5.html'
        },
		{ 
            title: 'SC converted to Buddhism',
            icon: 'globe',
            page: 'option/cast-dtl6.html'
        },
		{ 
            title: 'Caste Certificate for GOI Posts',
            icon: 'globe',
            page: 'option/cast-dtl7.html'
        },
    ]; 
    
    return data;
});

// Caste End Importent link configuration

	// Individeual Certificate page Importent link configuration

sensationApp.factory('indivData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Age, Nationality, Domicile Certificate',
            icon: 'globe',
            page: 'option/indi-crtfct-mtr1.html'
        },
        { 
            title: 'Senior Citizen',
            icon: 'globe',
            page: 'option/indi-crtfct-mtr2.html'
        },
		{ 
            title: 'Residence Certificate',
            icon: 'globe',
            page: 'option/indi-crtfct-mtr3.html'
        },
		{ 
            title: 'Income Certificate for 1-3 Yrs',
            icon: 'globe',
            page: 'option/indi-crtfct-mtr4.html'
        },
    ]; 
    
    return data;
});

// For url Individeual
sensationApp.factory('indiv2Data', function(){
    var data = {};
    
    data.items = [
		 { 
            title: 'Heir ship',
            icon: 'globe',
            url: 'https://mahaonline.gov.in/MOLWeb/Site/Upload/Pdf/7.%20Heirship%20Certificate%20v1.0%2011-04-2014.pdf'
        },
				 { 
            title: 'General Affidavit',
            icon: 'globe',
            url: 'https://mahaonline.gov.in/Molweb/Site/Upload/Pdf/General%20Affidavit%20v1.0.pdf'
        },
    ]; 
    
    return data;
});


// For url E Lockewr
sensationApp.factory('ElockerData', function(){
    var data = {};
    
    data.items = [
		 { 
            title: 'Login',
            icon: 'globe',
            url: 'https://digitallocker.gov.in/Register.aspx'
        },
    ]; 
    
    return data;
});



//  End Importent link configuration

	// Agricultural Importent link configuration

sensationApp.factory('agriData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Non Agriculture (N.A) License',
            icon: 'globe',
            page: 'option/agre-mtr1.html'
        },
        { 
            title: 'Farmer Certificate',
            icon: 'globe',
            page: 'option/agre-mtr2.html'
        },
		 { 
            title: 'Land less Farmer',
            icon: 'globe',
            page: 'option/agre-mtr1.html'
        },
    ]; 
    
    return data;
});

// For url Agrecultural
sensationApp.factory('agri1Data', function(){
    var data = {};
    
    data.items = [
		 { 
            title: 'Copy of Land record and other',
            icon: 'globe',
            url: 'https://mahaonline.gov.in/molweb/Site/Upload/Pdf/Certified%20Copy%20-%20Land%20Records.pdf'
        },
    ]; 
    
    return data;
});

// Login End Importent link configuration

	// eGazette page Importent link configuration

sensationApp.factory('gazetteData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Login',
            icon: 'globe',
            url: 'http://gazette.mahaonline.gov.in/Account/Login/Login.aspx'
        },
        { 
            title: 'Create New Account',
            icon: 'globe',
            url: 'http://gazette.mahaonline.gov.in/Account/Login/Login.aspx'
        },
		{ 
            title: 'Change in Name Status',
            icon: 'globe',
            url: 'http://egazzete.mahaonline.gov.in/Forms/DisplayRajpatraStatus.aspx'
        },
		{ 
            title: 'Change in Date of Birth Status',
            icon: 'globe',
            url: 'http://egazzete.mahaonline.gov.in/Forms/DateofbirthStatus.aspx?MenuID=1128'
        },
		{ 
            title: 'Change in Religion Status',
            icon: 'globe',
            url: 'http://egazzete.mahaonline.gov.in/Forms/ReligionStatus.aspx?MenuID=1129'
        },
		{ 
            title: 'User Manual PDF',
            icon: 'globe',
            url: 'https://dgps.maharashtra.gov.in/pdf/E_Gazette_User_Manual_PDF_21.pdf'
        },
				{ 
            title: 'dgps.maharashtra.gov.in',
            icon: 'globe',
            url: 'https://dgps.maharashtra.gov.in'
        }
    ]; 
    
    return data;
});

//  End Importent link configuration

	// certify Copy page Importent link configuration

sensationApp.factory('CrtfData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Certified copy (SDO Office)',
            icon: 'globe',
            page: 'option/crtify-mtr1.html'
        },
	    { 
            title: 'Certified copy (Collector Office)',
            icon: 'globe',
            page: 'option/crtify-mtr2.html'
        },
		{ 
            title: 'Certified Copy with Signature ',
            icon: 'globe',
            page: 'option/crtify-mtr3.html'
        },
        { 
            title: 'Certified copy (Tehsildar Office)',
            icon: 'globe',
            page: 'option/crtify-mtr4.html'
        },
		 { 
            title: 'Certified Copy - Land Records',
            icon: 'globe',
            page: 'option/crtify-mtr1.html'
        }
    ]; 
    
    return data;
});

	// certify Copy page Importent link configuration

sensationApp.factory('Crtf3Data', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Login',
            icon: 'globe',
            url: 'https://www.mahaonline.gov.in/Account/login/Login.aspx'
        },
        { 
            title: 'Create New Account',
            icon: 'globe',
            url: 'https://www.mahaonline.gov.in/Account/login/Login.aspx'
        }
    ]; 
    
    return data;
});

// End Importent link configuration

	// Adhar Card page Importent link configuration

sensationApp.factory('Adhar2Data', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Login',
            icon: 'globe',
            page: 'https://www.mahaonline.gov.in/Account/login/Login.aspx'
        },
        { 
            title: 'Create New Account',
            icon: 'globe',
            page: 'https://www.mahaonline.gov.in/Account/login/Login.aspx'
        }
    ]; 
    
    return data;
});

sensationApp.factory('AdharData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Check Aadhaar Status',
            icon: 'globe',
            url: 'https://goo.gl/Hg6tCW'
        },
		{ 
            title: 'Get E-Aadhaar',
            icon: 'globe',
            url: 'https://eaadhaar.uidai.gov.in/'
        },
		{ 
            title: 'Get Aadhaar on Mobile',
            icon: 'globe',
            url: 'https://goo.gl/uCnnkl'
        },
        { 
            title: 'Update Aadhaar Data',
            icon: 'globe',
            url: 'https://ssup.uidai.gov.in/ssup-home'
        },
	   { 
            title: 'Update Aadhaar Form',
            icon: 'globe',
            url: 'http://uidai.gov.in/images/application_form_11102012.pdf'
        },
		{ 
            title: 'Aadhaar Enrolment',
            icon: 'globe',
            url: 'https://appointments.uidai.gov.in/'
        }
    ]; 
    
    return data;
});

// End Importent link configuration

	// Passport page Importent link configuration

sensationApp.factory('PassportData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Login',
            icon: 'globe',
            url: 'http://passportindia.gov.in/AppOnlineProject/user/userLogin'
        },
        { 
            title: 'Create New Account',
            icon: 'globe',
            url: 'https://portal2.passportindia.gov.in/AppOnlineProject/user/RegistrationBaseAction?request_locale=en'
        },
		{ 
            title: 'Track Application Status ',
            icon: 'globe',
            url: 'http://passportindia.gov.in/AppOnlineProject/statusTracker/trackStatusInpNew'
        },
		{ 
            title: 'Appointment Availability',
            icon: 'globe',
            url: 'http://passportindia.gov.in/AppOnlineProject/online/apptAvailStatus'
        },
		{ 
            title: 'Visit Site',
            icon: 'globe',
            url: 'http://passportindia.gov.in/AppOnlineProject/welcomeLink'
        }
    ]; 
    
    return data;
});

//  End Importent link configuration


	// Pan Card page Importent link configuration

sensationApp.factory('PancardData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Track your PAN/TAN Application Status',
            icon: 'globe',
            url: 'https://tin.tin.nsdl.com/pantan/StatusTrack.html'
        },
		{ 
            title: 'Track your PAN/TAN Application Status (UTI)',
            icon: 'globe',
            url: 'http://www.myutiitsl.com/PANONLINE/panTracker.do'
        },
        { 
            title: 'Online Application for New PAN',
            icon: 'globe',
            url: 'https://tin.tin.nsdl.com/pan2/servlet/NewPanApp'
        },
		{ 
            title: 'Track Application Status ',
            icon: 'globe',
            url: 'http://passportindia.gov.in/AppOnlineProject/statusTracker/trackStatusInpNew'
        },
		{ 
            title: 'Online Application for Changes Or Correction in PAN Data',
            icon: 'globe',
            url: 'https://tin.tin.nsdl.com/pan/changerequest.html'
        },
		{ 
            title: 'Reprint Pan Card',
            icon: 'globe',
            url: 'https://tin.tin.nsdl.com/pan/changerequest.html'
        }
    ]; 
    
    return data;
});

//  End Importent link configuration

	// University page Importent link configuration

sensationApp.factory('UnvrstData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Mumbai University',
            icon: 'globe',
            url: 'http://www.mu.ac.in/index.html'
        },
        { 
            title: 'Pune University',
            icon: 'globe',
            url: 'http://unipune.ac.in/external/default.htm'
        },
		{ 
            title: 'Nagpur University',
            icon: 'globe',
            url: 'http://www.nagpuruniversity.org/'
        },
		{ 
            title: 'Yashwantrao Chavan Maharashtra open University',
            icon: 'globe',
            url: 'http://ycmou.digitaluniversity.ac/'
        },
		{ 
            title: 'SNDT Womens University',
            icon: 'globe',
            url: 'http://www.sndt.ac.in/'
        },
		{ 
            title: 'Savitribai Phule Pune University',
            icon: 'globe',
            url: 'http://www.unipune.ac.in/'
        },
		{ 
            title: 'Dr. Babasaheb Ambedkar Marathwada University',
            icon: 'globe',
            url: 'http://www.bamu.ac.in/'
        },
		{ 
            title: 'Sant Gadge Baba Amravati University',
            icon: 'globe',
            url: 'http://www.sgbau.ac.in/'
        },
		{ 
            title: 'Shivaji University',
            icon: 'globe',
            url: 'http://www.unishivaji.ac.in/'
        },
		{ 
            title: 'Tilak Maharashtra Vidyapeeth',
            icon: 'globe',
            url: 'http://www.tmv.edu.in/'
        },
		{ 
            title: 'North Maharashtra University',
            icon: 'globe',
            url: 'http://www.nmu.ac.in/'
        },
		{ 
            title: 'The Swami Ramanand Teerth Marathwada University',
            icon: 'globe',
            url: 'http://www.srtmun.ac.in/'
        }
    ]; 
    
    return data;
});

	// Voter Card page Importent link configuration

sensationApp.factory('VoterData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Voter Name Search',
            icon: 'globe',
            url: 'http://103.23.150.139/marathi/'
        },
        { 
            title: 'Search Final Electoral Roll PDF (Part Wise)',
            icon: 'globe',
            url: 'https://ceo.maharashtra.gov.in/Search/SearchPDF.aspx'
        },
		{ 
            title: 'Online Voter Registration',
            icon: 'globe',
            url: 'https://ceo.maharashtra.gov.in/Registration.aspx'
        },
		{ 
            title: 'Voter Name Search (Mumbai)',
            icon: 'globe',
            url: 'http://mumbaicity.electionmumbaicity.org/'
        },
		{ 
            title: 'National Voters Services Portal- Aadhaar Link',
            icon: 'globe',
            url: 'http://electoralsearch.in/'
        }
    ]; 
    
    return data;
});

	// Retion Card page Importent link configuration

sensationApp.factory('RetionData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Login',
            icon: 'globe',
            url: 'https://www.mahaonline.gov.in/Account/login/Login.aspx'
        },
        { 
            title: 'Create New Account',
            icon: 'globe',
            url: 'https://www.mahaonline.gov.in/Account/login/Login.aspx'
        }
    ]; 
    
    return data;
});


	// Establishment page Importent link configuration

sensationApp.factory('EstablishmentData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Eating House permit Renewal',
            icon: 'globe',
            page: 'option/establishment-mtr1.html'
        },
        { 
            title: 'Hotel permit',
            icon: 'globe',
            page: 'option/establishment-mtr2.html'
        },
		{ 
            title: 'Hotel permit Renewal',
            icon: 'globe',
            page: 'option/establishment-mtr3.html'
        },
		{ 
            title: 'Lodging and Boarding permit Renewal',
            icon: 'globe',
            page: 'option/establishment-mtr4.html'
        },
		{ 
            title: 'Lodging and Boarding permit',
            icon: 'globe',
            page: 'option/establishment-mtr6.html'
        },
		{ 
            title: 'Eating House License',
            icon: 'globe',
            page: 'option/establishment-mtr5.html'
        },
		{ 
            title: 'Cable operator Licenses renewal',
            icon: 'globe',
            page: 'option/establishment-mtr8.html'
        },
		{ 
            title: 'Cable operator Licenses',
            icon: 'globe',
            page: 'option/establishment-mtr7.html'
        },
		
    ]; 
    
    return data;
});


	// Establishment url page Importent link configuration

sensationApp.factory('Establishment2Data', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Logging and Boarding Licenses-Form',
            icon: 'globe',
            url: 'https://mahaonline.gov.in/molweb/Site/Upload/Pdf/Lodging%20and%20Boarding%20Permit.pdf'
        },
        { 
            title: 'Hotel Licenses-Form',
            icon: 'globe',
            url: 'https://mahaonline.gov.in/molweb/Site/Upload/Pdf/Hotel%20Permit.pdf'
        },
		{ 
            title: 'Arms Licenses-Form',
            icon: 'globe',
            url: 'https://mahaonline.gov.in/Molweb/Site/Upload/Pdf/Arms%20License.pdf'
        },
		{ 
            title: 'Performance Licence / Cultural Program-Form',
            icon: 'globe',
            url: 'https://mahaonline.gov.in/MOLWeb/Site/Upload/Pdf/5.%20Cultural%20Performance%20License%20v1.0%2011-04-2014.pdf'
        },
		{ 
            title: 'Cracker Licence-Form',
            icon: 'globe',
            url: 'https://mahaonline.gov.in/molweb/Site/Upload/Pdf/Cracker%20License.pdf'
        },
    ]; 
    
    return data;
});


	// Admission page Importent link configuration

sensationApp.factory('AdmsnData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'FYJC',
            icon: 'globe',
            url: 'http://fyjc.org.in/mumbai/StaticPages/HomePage.aspx'
        },
        { 
            title: 'Mumbai University',
            icon: 'globe',
            url: 'https://idol.mahaonline.gov.in/MASTERS/Login.aspx'
        },
		{ 
            title: 'University of Pune',
            icon: 'globe',
            url: 'http://unipune.ac.in/external/Login.aspx'
        },
		{ 
            title: 'YCMOU',
            icon: 'globe',
            url: 'http://ycmouadmission.digitaluniversity.ac/'
        },
		{ 
            title: 'Nagpur University',
            icon: 'globe',
            url: 'http://www.nagpuruniversity.org/'
        }
    ]; 
    
    return data;
});


	// Retion Card page Importent link configuration

sensationApp.factory('RsncrdData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Separation of Ration Card',
            icon: 'globe',
            page: 'option/retioncard-mtr1.html'
        },
        { 
            title: 'Ration card Name Deletion',
            icon: 'globe',
            page: 'option/retioncard-mtr2.html'
        },
		{ 
            title: 'Renewal of Ration Card',
            icon: 'globe',
            page: 'option/retioncard-mtr3.html'
        },
		{ 
            title: 'New Ration Card',
            icon: 'globe',
            page: 'option/retioncard-mtr4.html'
        },
		{ 
            title: 'Ration Card Name Addition',
            icon: 'globe',
            page: 'option/retioncard-mtr5.html'
        },
		{ 
            title: 'Duplicate Ration Card',
            icon: 'globe',
            page: 'option/retioncard-mtr6.html'
        },
    ]; 
    
    return data;
});


	// Magzine page Importent link configuration

sensationApp.factory('MznData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Login',
            icon: 'globe',
            url: 'https://www.mahaonline.gov.in/Account/login/Login.aspx'
        },
        { 
            title: 'Create New Account',
            icon: 'globe',
            url: 'https://www.mahaonline.gov.in/Account/login/Login.aspx'
        }
    ]; 
    
    return data;
});


	// Scheme page Importent link configuration

sensationApp.factory('ScmData', function(){
    var data = {};
    
    data.items = [
        { 
            title: 'Login',
            icon: 'globe',
            url: 'https://www.mahaonline.gov.in/Account/login/Login.aspx'
        },
        { 
            title: 'Create New Account',
            icon: 'globe',
            url: 'https://www.mahaonline.gov.in/Account/login/Login.aspx'
        }
    ]; 
    
    return data;
});

// End Importent link configuration


// News Data: JSON News configuration
sensationApp.factory('NewsData', function(){
    
    var data = { url: 'json/news.json', letterLimit: 100 };
    
    return data;
});

 
// Home page latest News Data: JSON News configuration  http://www.colabatimes.com/category/maha-alert/?json=1
sensationApp.factory('LatestPostsData', function(){
    
    var data = { url: 'http://mahaeseva.rastra.in/?json=1', letterLimit: 100 };
    
    return data;
});


// Posts Data: JSON Wordpress Posts configuration
sensationApp.factory('PostsData', function(){
    
    /* (For DEMO purposes) Local JSON data */
    /* var data = { url: 'json/wordpress.json' };
    
    /* Set your URL as you can see in the following example */
    // var data = { url: 'YourWordpressURL/?json=get_recent_posts' };
    
    /* With user-friendly permalinks configured */
    // var data = { url: 'YourWordpressURL/api/get_recent_posts' };
    
    return data;
});




// Maha News feed RSS Data: Feeds configuration
sensationApp.factory('mahaFeedData', function(){
    
    var data = { url: 'http://feeds.feedburner.com/mahaalertfeed' };
    
    return data;
});

// Maha Job feed RSS Data: Feeds configuration  
sensationApp.factory('Feed3Data', function(){
    
    var data = { url: 'http://feeds.feedburner.com/mahajobs' };
    
    return data;
});

// Maha Scheme feed RSS Data: Feeds configuration 
sensationApp.factory('Feed4Data', function(){
    
    var data = { url: 'http://feeds.feedburner.com/maha-scheme' };
    
    return data;
});



// FEED Data Structure: JSON FEED Data Structure configuration
sensationApp.factory('FeedPluginData', function(){
    
    var data = { url: 'json/structure.json' };
    
    return data;
});